Bug 438039 - Review Request: GMT-coastlines - Coastline data for GMT
Review Request: GMT-coastlines - Coastline data for GMT
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Extras Quality Assurance
:
: 438040 438041 (view as bug list)
Depends On:
Blocks: 438043
  Show dependency treegraph
 
Reported: 2008-03-18 15:34 EDT by Orion Poplawski
Modified: 2008-04-29 11:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-29 11:55:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pertusus: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2008-03-18 15:34:14 EDT
Spec URL: http://www.cora.nwra.com/~orion/fedora/GMT-coastlines.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/GMT-coastlines-1.9-1.src.rpm
Description:
Crude, low, and intermediate resolutions coastline data for GMT.


GMT package has a build dependency on this for the %check stage.
Comment 1 Orion Poplawski 2008-03-24 13:47:07 EDT
Here's an alternative version:

Spec URL: http://www.cora.nwra.com/~orion/fedora/GMT-coastlines.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/GMT-coastlines-1.9-2.src.rpm

This merges the coastline data srpms, and produces each plus GMT-coastlines-all
which is a metapackage that requires all of the data.  I could also see renaming
GMT-coastlines GMT-coastlines-low.  I could also see making GMT-coastlines the
meta package.
Comment 2 Patrice Dumas 2008-04-19 09:59:18 EDT
Looks good. Both solutions seems right to me. I think that a provides
with lower case could be nice. Also I would have preferred lower case
package name, and provides with upper case, but it is up to you.

I had the following comment in my package, since I found it a bit difficult
to understand where the data comes from:

# seems to be derived at least from 2 Public Domain datasets, 
# CIA World DataBank II and World Vector Shoreline (already in fedora),
# then modified.

* rpmlint ignorable
GMT-coastlines-all.noarch: W: no-documentation
GMT-coastlines-full.noarch: W: no-documentation
GMT-coastlines-high.noarch: W: no-documentation
* free content, license included
* follow guidelines
* no %dist, but it is clearly the right choice for this arch independent
  big data
* %files section right
* match upstream


Needswork:

The source urls are wrong, there is no /4/ in the real urls.

Also the source files timestamps are not kept:
$ ls -l GSHHS1.9_* ../SOURCES/GSHHS1.9_*
-rw-r--r-- 1 dumas dumas  4249079 Oct 11  2007 ../SOURCES/GSHHS1.9_coast.tar.bz2
-rw-r--r-- 1 dumas dumas 29338515 Oct 11  2007 ../SOURCES/GSHHS1.9_full.tar.bz2
-rw-r--r-- 1 dumas dumas  8970004 Oct 11  2007 ../SOURCES/GSHHS1.9_high.tar.bz2
-rw-rw-r-- 1 dumas dumas  4249079 Apr  2 10:39 GSHHS1.9_coast.tar.bz2
-rw-rw-r-- 1 dumas dumas 29338515 Apr  2 10:39 GSHHS1.9_full.tar.bz2
-rw-rw-r-- 1 dumas dumas  8970004 Apr  2 10:39 GSHHS1.9_high.tar.bz2


Though it matches upstream:
3eda660b999ee888ff59f6c7eba209a6  GSHHS1.9_coast.tar.bz2
2d3064c3fa2f7a4c3a2603dbb9885fff  GSHHS1.9_full.tar.bz2
de50a3eab394393a7246f293ac0c840a  GSHHS1.9_high.tar.bz2
Comment 3 Orion Poplawski 2008-04-25 18:50:41 EDT
Spec URL: http://www.cora.nwra.com/~orion/fedora/GMT-coastlines.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/GMT-coastlines-1.9-3.src.rpm

* Fri Apr 25 2008 Orion Poplawski <orion@cora.nwra.com> 1.9-3
- Add lowercase provides
- Fix URLs and timestamps
- Add comment about source

Thanks!
Comment 4 Patrice Dumas 2008-04-27 10:27:54 EDT
* rpmlint says
GMT-coastlines.src: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 17)
GMT-coastlines-full.noarch: W: no-documentation
GMT-coastlines-high.noarch: W: no-documentation
GMT-coastlines-all.noarch: W: no-documentation

it would be nice to fix the first one, but not a blocker (lower case provides
have tab in front...).

All the comments are fixed
$ md5sum ../SOURCES/GSHHS1.9_*
3eda660b999ee888ff59f6c7eba209a6  ../SOURCES/GSHHS1.9_coast.tar.bz2
2d3064c3fa2f7a4c3a2603dbb9885fff  ../SOURCES/GSHHS1.9_full.tar.bz2
de50a3eab394393a7246f293ac0c840a  ../SOURCES/GSHHS1.9_high.tar.bz2

still matching upstream.

APPROVED.
Comment 5 Orion Poplawski 2008-04-28 12:06:08 EDT
New Package CVS Request
=======================
Package Name: GMT-coastlines
Short Description: Coastline data for GMT
Owners: orion
Branches: F-7 F-8 F-9 EL-5 EL-4
InitialCC: 
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2008-04-28 12:18:13 EDT
cvs done.
Comment 7 Orion Poplawski 2008-04-29 11:55:38 EDT
Checked in and built.
Comment 8 Orion Poplawski 2008-04-29 11:56:14 EDT
*** Bug 438040 has been marked as a duplicate of this bug. ***
Comment 9 Orion Poplawski 2008-04-29 11:56:47 EDT
*** Bug 438041 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.